/******************************************
 * [d7DevServer]
 * Copyright (c) 2024 Kougen.Sai
 * Released under the MIT license
 * https://opensource.org/licenses/mit-license.php 
 ******************************************/
package com.cycau.d7server.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class ViewController {
	@Value("${d7server.resource.index}")
	private String resourceIndex;

	@RequestMapping("/")
    public String home() {
		if (resourceIndex.isEmpty()) return "index.html";
        return resourceIndex;
    }
}