/******************************************
 * [d7DevServer]
 * Copyright (c) 2024 Kougen.Sai
 * Released under the MIT license
 * https://opensource.org/licenses/mit-license.php 
 ******************************************/
package com.cycau.d7server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration;

@SpringBootApplication(
exclude = {
	DataSourceAutoConfiguration.class,
	DataSourceTransactionManagerAutoConfiguration.class,
})
public class D7DevServer {
	public static void main(String[] args) {
		SpringApplication.run(D7DevServer.class, args);
	}
}
